<html>
<head>
<title>OGRE: OgreCommon.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreCommon.h File Reference</h1><code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &lt;utility&gt;</code><br>
<code>#include &lt;vector&gt;</code><br>
<code>#include &lt;map&gt;</code><br>

<p>
<a href="OgreCommon_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect&lt; T &gt;</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html">Ogre::Box</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure used to define a box in a 3-D integer space.  <a href="structOgre_1_1Box.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#f3fdba7211d7078a43201a1721532f9e">Ogre::TrackVertexColourType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An enumeration describing which material properties should track the vertex colours.  <a href="#f3fdba7211d7078a43201a1721532f9e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; Light * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">Ogre::LightList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String, bool &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#3515f47cab3f1a6f4f538fc389d6bc3c">Ogre::UnaryOptionList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String, String &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#d6f02d16ef1ab5e57f0880093a0a28f8">Ogre::BinaryOptionList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String, String &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">Ogre::NameValuePairList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Name / value parameter pair (first = name, second = value).  <a href="#0537f38d7a77fcbe9f600f6ed8a926d6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String, String &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#5dafc9e68bde8099ec5ad6c94e4cf19b">Ogre::AliasTextureNamePairList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alias / <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> name pair (first = alias, second = texture name).  <a href="#5dafc9e68bde8099ec5ad6c94e4cf19b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef TRect&lt; float &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#39213af9254535e83b4beca0859e8a2f">Ogre::FloatRect</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure used to define a rectangle in a 2-D floating point space.  <a href="#39213af9254535e83b4beca0859e8a2f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef TRect&lt; long &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#e714035a753a8f484650598dc4143db8">Ogre::Rect</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure used to define a rectangle in a 2-D integer space.  <a href="#e714035a753a8f484650598dc4143db8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">Ogre::CompareFunction</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a3a69cd8d515d1f3407abe7f67480cb16">Ogre::CMPF_ALWAYS_FAIL</a>, 
<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7ae10ea1648cd8c9bd90bdaccaa11cbc4e">Ogre::CMPF_ALWAYS_PASS</a>, 
<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7aab01a61b3422de9bf7607356b40fd657">Ogre::CMPF_LESS</a>, 
<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a2272d0faefcf5a2e08bbf7d232d7520b">Ogre::CMPF_LESS_EQUAL</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a3d040c506dd77565a3c8b6aca7919d12">Ogre::CMPF_EQUAL</a>, 
<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7ada3d0f189fa19cdd4cd362d0f0ef9f6e">Ogre::CMPF_NOT_EQUAL</a>, 
<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a2eaf066e39eb38a71650c6deb1ee7d45">Ogre::CMPF_GREATER_EQUAL</a>, 
<a class="el" href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a81812ab72e4f9ccf6932c878f82e2897">Ogre::CMPF_GREATER</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparison functions used for the depth/stencil buffer operations and others.  <a href="namespaceOgre.html#0212b4eb264f207d84c1df9425208c7a">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5">Ogre::TextureFilterOptions</a> { <a class="el" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5bfbbf594489b7096500b6b5492d0ff8f">Ogre::TFO_NONE</a>, 
<a class="el" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5a618726878120a47677418f7fb87fa9a">Ogre::TFO_BILINEAR</a>, 
<a class="el" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5e7b55ff89c945a2f1ba336f664add6af">Ogre::TFO_TRILINEAR</a>, 
<a class="el" href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c527d43242c4bfc932a046213fdacf919e">Ogre::TFO_ANISOTROPIC</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">High-level filtering options providing shortcuts to settings the minification, magnification and mip filters.  <a href="namespaceOgre.html#21a0186392e9c9ce16d29c5568a773c5">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#c1fc36ec2f4df4b2afa9fa39f9c66c06">Ogre::FilterType</a> { <a class="el" href="namespaceOgre.html#c1fc36ec2f4df4b2afa9fa39f9c66c06afd094135637964be4a3538226dc5505">Ogre::FT_MIN</a>, 
<a class="el" href="namespaceOgre.html#c1fc36ec2f4df4b2afa9fa39f9c66c06a32401d4d252a0f37db15e76233b1823">Ogre::FT_MAG</a>, 
<a class="el" href="namespaceOgre.html#c1fc36ec2f4df4b2afa9fa39f9c66c069d591ceb51142267059d8b39b276d3c1">Ogre::FT_MIP</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d">Ogre::FilterOptions</a> { <a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d0be36e268ed5d2d25fe91ba5b5f769b5">Ogre::FO_NONE</a>, 
<a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3dd299986d6ba4f220cc628a1b9a4f6a52">Ogre::FO_POINT</a>, 
<a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d6b0e1f92a9531879e2f0acfe5e5183c6">Ogre::FO_LINEAR</a>, 
<a class="el" href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d0ced0c8e18f83505a73c7275563d4372">Ogre::FO_ANISOTROPIC</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Filtering options for textures / mipmaps.  <a href="namespaceOgre.html#02306c6246268d35f45ad22278bd5d3d">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560">Ogre::ShadeOptions</a> { <a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f5602278c661ac03aa3bb7177b6deef7ff99">Ogre::SO_FLAT</a>, 
<a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f5602973848ded9ca7c0f93a329e12181feb">Ogre::SO_GOURAUD</a>, 
<a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560d65722b0fb2ac38cc603076dd057d57d">Ogre::SO_PHONG</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Light shading modes.  <a href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020ba">Ogre::FogMode</a> { <a class="el" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020bab7793a21880052c0214d4cc040992310">Ogre::FOG_NONE</a>, 
<a class="el" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020ba5c51ab0c88827f1f30b6c08a32f282a2">Ogre::FOG_EXP</a>, 
<a class="el" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020bac3413d47a9e6c30ba39da21339bd1d7f">Ogre::FOG_EXP2</a>, 
<a class="el" href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020bacd90839d2d222db939530a9fba6f9dad">Ogre::FOG_LINEAR</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Fog modes.  <a href="namespaceOgre.html#83edeb2e5d33a3ca8f15834ba40020ba">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb">Ogre::CullingMode</a> { <a class="el" href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb7868e61bf90df40d5e04e3a951729248">Ogre::CULL_NONE</a> =  1, 
<a class="el" href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb50170ef4a0a12b9fc6bf0c53e582bdf0">Ogre::CULL_CLOCKWISE</a> =  2, 
<a class="el" href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb0803d6fedd04659fd6dc152d29434e4a">Ogre::CULL_ANTICLOCKWISE</a> =  3
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Hardware culling modes based on vertex winding.  <a href="namespaceOgre.html#c173244ed7d950d0acd726e4f323ecdb">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fc">Ogre::ManualCullingMode</a> { <a class="el" href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fc1e2d68b31b809934b52aae87b81e22e5">Ogre::MANUAL_CULL_NONE</a> =  1, 
<a class="el" href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fcdbebf0c209be54ddb19d6097d4f7042f">Ogre::MANUAL_CULL_BACK</a> =  2, 
<a class="el" href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fcae591121c0f4a8e8c379e4ee3d0cc173">Ogre::MANUAL_CULL_FRONT</a> =  3
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual culling modes based on vertex normals.  <a href="namespaceOgre.html#07ec94cf178172a6778223e6f70f23fc">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">Ogre::WaveformType</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b7810779988e228dd8d3eef8ba0d566e2">Ogre::WFT_SINE</a>, 
<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1bc2f92dba451adb7777e9275d0f2c898a">Ogre::WFT_TRIANGLE</a>, 
<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1bfd87232637505fc7c7d29acfd87bd422">Ogre::WFT_SQUARE</a>, 
<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b2ea1433d653116eabda4940dc660a99c">Ogre::WFT_SAWTOOTH</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1bf2c84f99c1aa134c400ebf959efc1038">Ogre::WFT_INVERSE_SAWTOOTH</a>, 
<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b1b00383d1dae09b439ca9a0a28ee993c">Ogre::WFT_PWM</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enumerates the wave types usable with the <a class="el" href="namespaceOgre.html">Ogre</a> engine.  <a href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#68866b02aa7f99e3431337511fbb3345">Ogre::PolygonMode</a> { <a class="el" href="namespaceOgre.html#68866b02aa7f99e3431337511fbb3345dfb098e30463c0f0689e0e1fbbd5eb0f">Ogre::PM_POINTS</a> =  1, 
<a class="el" href="namespaceOgre.html#68866b02aa7f99e3431337511fbb3345c1f71aad59ecae8cd02f0743dc7efa5d">Ogre::PM_WIREFRAME</a> =  2, 
<a class="el" href="namespaceOgre.html#68866b02aa7f99e3431337511fbb33457e87bf8ec063f4e7bf022a7396346211">Ogre::PM_SOLID</a> =  3
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The polygon mode to use when rasterising.  <a href="namespaceOgre.html#68866b02aa7f99e3431337511fbb3345">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6">Ogre::ShadowTechnique</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6d88c064ffac66e1b186fb238861046ed">Ogre::SHADOWTYPE_NONE</a> =  0x00, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d61bc71098f374fda7da49f39aa1700fd9">Ogre::SHADOWDETAILTYPE_ADDITIVE</a> =  0x01, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d65646b85f69631dc4820b877506f3b992">Ogre::SHADOWDETAILTYPE_MODULATIVE</a> =  0x02, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d67823678fe2b349b5d4af74328d4064d9">Ogre::SHADOWDETAILTYPE_INTEGRATED</a> =  0x04, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d677da660eef7a78214c39ffa491446285">Ogre::SHADOWDETAILTYPE_STENCIL</a> =  0x10, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6025e0b181fc7ae3830880d9a802070c0">Ogre::SHADOWDETAILTYPE_TEXTURE</a> =  0x20, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6f1b698ef34b8d97c261b7ade00010b7f">Ogre::SHADOWTYPE_STENCIL_MODULATIVE</a> =  0x12, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6f6e22c7a699e9d05015cecff7b68c52a">Ogre::SHADOWTYPE_STENCIL_ADDITIVE</a> =  0x11, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d692a49d0584801cb7ea1e279004b30cf5">Ogre::SHADOWTYPE_TEXTURE_MODULATIVE</a> =  0x22, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d68a2b43e30e6d8d590e6853e4f46b8103">Ogre::SHADOWTYPE_TEXTURE_ADDITIVE</a> =  0x21, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6c29b9727942e113575ea3947a89ae047">Ogre::SHADOWTYPE_TEXTURE_ADDITIVE_INTEGRATED</a> =  0x25, 
<a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d62867ba03ee4054517969ee7fac598e2e">Ogre::SHADOWTYPE_TEXTURE_MODULATIVE_INTEGRATED</a> =  0x26
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An enumeration of broad shadow techniques.  <a href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de85">Ogre::TrackVertexColourEnum</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de854b75431ccf4b6bde635265300498660e">Ogre::TVC_NONE</a> =  0x0, 
<a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de858d3eb8e812449857231d35205dce797a">Ogre::TVC_AMBIENT</a> =  0x1, 
<a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de8509b4b4b6232b724f9d9b325a06f2067a">Ogre::TVC_DIFFUSE</a> =  0x2, 
<a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de85451fabea329cb76c0dccb9b811293699">Ogre::TVC_SPECULAR</a> =  0x4, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#5d04131dcb51ec3cf219465196b6de85dbcd315d9bd355dc8a8c88ee499504f2">Ogre::TVC_EMISSIVE</a> =  0x8
<br>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a">Ogre::SortMode</a> { <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3ab8681f59fb8a9ccea7b9b8bd39bdc562">Ogre::SM_DIRECTION</a>, 
<a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3ad9e5e193b92b711a1c2ea77b4ab7e0e9">Ogre::SM_DISTANCE</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort mode for billboard-set and particle-system.  <a href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#0206520b2d2647504c13017f2aaf4741">Ogre::FrameBufferType</a> { <a class="el" href="namespaceOgre.html#0206520b2d2647504c13017f2aaf474137afd2c8cf628f3057c09eac0529a466">Ogre::FBT_COLOUR</a> =  0x1, 
<a class="el" href="namespaceOgre.html#0206520b2d2647504c13017f2aaf47413466d3d0081023a40db64a4cd389fe40">Ogre::FBT_DEPTH</a> =  0x2, 
<a class="el" href="namespaceOgre.html#0206520b2d2647504c13017f2aaf47419433297f57098654c19a42bee065fc9b">Ogre::FBT_STENCIL</a> =  0x4
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Defines the frame buffer types.  <a href="namespaceOgre.html#0206520b2d2647504c13017f2aaf4741">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int _OgreExport&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#d78e25bde5597796c07e75d4f857a3cd">Ogre::findCommandLineOpts</a> (int numargs, char **argv, UnaryOptionList &amp;unaryOptList, BinaryOptionList &amp;binOptList)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Locate command-line options of the unary form '-blah' and of the binary form '-blah foo', passing back the index of the next non-option.  <a href="#d78e25bde5597796c07e75d4f857a3cd"></a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
